package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/6/23 14:38
 * @Description:
 **/
public class DicDataRequirementState {

    public static final String ALL ="全部";
    public static final String PENDING ="审核中";
    public static final String REJECTED= "审核不通过";
    public static final String FEEDBACKING= "待反馈";
    public static final String FEEDBACKED= "已反馈";

    private static DicDataRequirementState instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicDataRequirementState(){
        dicMap = new LinkedHashMap<>();
        dicMap.put(ALL,ALL);
        dicMap.put(PENDING,PENDING);
        dicMap.put(REJECTED,REJECTED);
        dicMap.put(FEEDBACKING,FEEDBACKING);
        dicMap.put(FEEDBACKED,FEEDBACKED);
    }

    public  static DicDataRequirementState getInstance(){
        if(instance==null){
            instance = new DicDataRequirementState();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String,String>)dicMap.clone();
    }
}
